﻿
using Infragistics.Windows.Automation.Peers.DataPresenter;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Automation.Peers;
using System.Windows.Automation.Provider;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace test
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        XamDataGrid xamDataGrid1;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void grid_Loaded(object sender, RoutedEventArgs e)
        {
            xamDataGrid1 = new XamDataGrid();
            xamDataGrid1.FieldLayoutSettings.AutoGenerateFields = false;
            xamDataGrid1.DataSource = GetData();
            xamDataGrid1.DataContext = GetData();
            xamDataGrid1.FieldLayoutInitialized += new EventHandler<Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs>(xamDataGrid1_FieldLayoutInitialized);
            this.grid.Children.Add(xamDataGrid1);
        }

        private void xamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Field f1 = new Field
            {
                Name = "test"
            };
            Field f2 = new Field
            {
                BindingType = Infragistics.Windows.DataPresenter.BindingType.UseAlternateBinding,
                AlternateBinding = new Binding("Child.Value"),
                Label = "Value"
            };
            
            e.FieldLayout.Fields.Add(f1);
            e.FieldLayout.Fields.Add(f2);

        }


        public static ObservableCollection<A> GetData()
        {
            ObservableCollection<A> data = new ObservableCollection<A>();
          
            data.Add(new A()
            {
                Child = new B() { Value = 1 },
                test = "test1"

            });

            data.Add(new A()
            {
                Child = new B() { Value = 2 },
                test = "test2"

            });

            data.Add(new A()
            {
                Child = new B() { Value = 3 },
                test = "test3"

            });

            return data;
        }
    }

   
    public class A
    {
        public string test { get; set; }
        public B Child { get; set; }

    }


  public  class B
    {

       public int Value { get; set; }

    }
    
 
				
   

}
